
- name: Changing Ansible to use 'aptitude' as package installation manager
  apt: name=aptitude update_cache=yes state=latest force_apt_get=yes

- name: Ensure that existing packages are up-to-date (within last 30 mins)
  apt: update_cache=yes state=latest force_apt_get=yes cache_valid_time=1800

- name: Install prerequisites
  apt: name={{ item }} update_cache=yes state=latest
  loop: [
    'subversion', 'build-essential', 'wget',

    # As well as using 'unzip', the greenstone3 compile sequence currently uses
    # 'zip' in a handful of places, such as:
    #     <gsdl3srchome>/gli/makejar.sh
    'zip', 'unzip',

    # Choosing to install the latest ImageMagick, rather than work
    # with the one included as a Greenstone3 extension, as that
    # latter is getting a bit old 'imagemagick',
        
    # The following needed for WebSwing on a headless server
    'libxrender1', 'libxtst6', 'libxi6', 'xvfb',

    # The following are nice to have in general
    'plocate', 'emacs-nox' 
  ]
